# VectorNav C++ Library: vn::sensors::CalculatedMagnetometerCalibrationRegister Struct Reference

vn::sensors::CalculatedMagnetometerCalibrationRegister Struct Reference
Register Structures

Structure representing the Calculated Magnetometer Calibration register. More...

`#include <registers.h>`

## Public Member Functions

| CalculatedMagnetometerCalibrationRegister (vn::math::mat3f cIn, vn::math::vec3f bIn)
| Creates an initializes a new CalculatedMagnetometerCalibrationRegister structure. More...

## Public Attributes

vn::math::mat3f | c
| The c field.
vn::math::vec3f | b
| The b field.

## Detailed Description

Structure representing the Calculated Magnetometer Calibration register.

## Constructor & Destructor Documentation

vn::sensors::CalculatedMagnetometerCalibrationRegister::CalculatedMagnetometerCalibrationRegister | ( | vn::math::mat3f | cIn,
|  | vn::math::vec3f | bIn
| ) |  |

inline

Creates an initializes a new CalculatedMagnetometerCalibrationRegister structure.

Parameters

  [in] | cIn | Value to initialize the c field with.
  [in] | bIn | Value to initialize the b field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h